MapMessageUtil (ActiveMQ Artemis Web 1.1.0.wildfly-010 API)
Date: 2015-12-18

org.apache.activemq.artemis.reader

## Class MapMessageUtil

- java.lang.Object
- - org.apache.activemq.artemis.reader.MessageUtil
  - - org.apache.activemq.artemis.reader.MapMessageUtil

-     public class MapMessageUtil
      extends MessageUtil

- - ### Field Summary

    - ### Fields inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `CONNECTION_ID_PROPERTY_NAME, CORRELATIONID_HEADER_NAME, JMS, JMS_, JMSX, JMSXDELIVERYCOUNT, JMSXGROUPID, REPLYTO_HEADER_NAME, TYPE_HEADER_NAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapMessageUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.apache.activemq.artemis.utils.TypedProperties` | `readBodyMap(ActiveMQBuffer message)` Utility method to set the map on a message body
    `static void` | `readBodyMap(ActiveMQBuffer message, org.apache.activemq.artemis.utils.TypedProperties map)` Utility method to set the map on a message body
    `static void` | `writeBodyMap(ActiveMQBuffer message, org.apache.activemq.artemis.utils.TypedProperties properties)` Utility method to set the map on a message body

    - ### Methods inherited from class org.apache.activemq.artemis.reader.MessageUtil

      `clearProperties, getJMSCorrelationID, getJMSCorrelationIDAsBytes, getJMSReplyTo, getJMSType, getPropertyNames, propertyExists, setJMSCorrelationID, setJMSCorrelationIDAsBytes, setJMSReplyTo, setJMSType`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapMessageUtil

          public MapMessageUtil()

  - ### Method Detail

    - #### writeBodyMap

          public static void writeBodyMap(ActiveMQBuffer message,
                                          org.apache.activemq.artemis.utils.TypedProperties properties)

      Utility method to set the map on a message body

    - #### readBodyMap

          public static org.apache.activemq.artemis.utils.TypedProperties readBodyMap(ActiveMQBuffer message)

      Utility method to set the map on a message body

    - #### readBodyMap

          public static void readBodyMap(ActiveMQBuffer message,
                                         org.apache.activemq.artemis.utils.TypedProperties map)

      Utility method to set the map on a message body

Copyright © 2015. All rights reserved.